<?php
/**
 * Adodis Blog package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2012 - 2013 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/


// No direct access
defined('_JEXEC') or die;

class AdodisBlogController extends JController
{
	/**
	 * Method to display a view.
	 *
	 * @param	boolean			$cachable	If true, the view output will be cached
	 * @param	array			$urlparams	An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return	JController		This object to support chaining.
	 * @since	1.5
	 */
	public function display($cachable = false, $urlparams = false)
	{
		require_once JPATH_COMPONENT.'/helpers/adodisblog.php';

		// Load the submenu.
		AdodisBlogHelper::addSubmenu(JRequest::getCmd('view', 'blogs'));

		$view		= JRequest::getCmd('view', 'blogs');
        JRequest::setVar('view', $view);

		parent::display();

		return $this;
	}
}
